This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 929087 - (CVE-2013-1846) CVE-2013-1846 Subversion (mod_dav_svn): DoS (crash) via LOCK requests against an activity URL
CVE-2013-1846 Subversion (mod_dav_svn): DoS (crash) via LOCK requests against...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130404,reported=2...
: Security
Depends On: 947369 947370 947372 947374 948813
Blocks: 929099
  Show dependency treegraph
 
Reported: 2013-03-29 04:40 EDT by Huzaifa S. Sidhpurwala
Modified: 2015-11-24 10:30 EST (History)
4 users (show)

See Also:
Fixed In Version: Subversion 1.6.21, Subversion 1.7.9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-18 08:13:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch-against-1.6.20.patch (2.19 KB, patch)
2013-03-29 04:44 EDT, Huzaifa S. Sidhpurwala
no flags Details | Diff
patch-against-1.7.8 (2.22 KB, patch)
2013-03-29 04:44 EDT, Huzaifa S. Sidhpurwala
no flags Details | Diff

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-03-29 04:40:55 EDT
It was found that Subversion's mod_dav_svn Apache HTTPD server module will crash when a LOCK request is made against activity URLs. This can lead to a DoS. 

An activity URL is used by the server to map transactions in the repository to an incoming commit by a client.  They are created by using the MKACTIVITY http method on the activity URL the client wishes to create.  Activity URLs following the pattern of having /!svn/act/$uuid where $uuid is some unique id the client chooses to use.
The denial of service described here issues a LOCK request on an activity URL.  There is no meaning to this request in the DAV based HTTP  protocols that Subversion uses.  There is a flaw in mod_dav_svn that improperly tries to process this request instead of rejecting it and results in an attempt to access invalid memory (NULL).  The invalid memory access causes the httpd child process to segfault.

Acknowledgements:

Red Hat would like to thank the Apache Subversion project for reporting this issue. Upstream acknowledges Ben Reser as the original reporter of this flaw.
Comment 2 Huzaifa S. Sidhpurwala 2013-03-29 04:44:25 EDT
Created attachment 717969 [details]
patch-against-1.6.20.patch
Comment 3 Huzaifa S. Sidhpurwala 2013-03-29 04:44:54 EDT
Created attachment 717970 [details]
patch-against-1.7.8
Comment 5 Huzaifa S. Sidhpurwala 2013-04-04 05:09:27 EDT
This issue affects the version of subversion as shipped with Red Hat Enterprise Linux 5 and 6.

This issue affects the version of subversion as shipped with Fedora 17 and Fedora 18.
Comment 6 Jan Lieskovsky 2013-04-05 08:29:43 EDT
External References:

http://subversion.apache.org/security/CVE-2013-1846-advisory.txt
Comment 8 Jan Lieskovsky 2013-04-05 08:58:56 EDT
Created subversion tracking bugs for this issue

Affects: fedora-all [bug 948813]
Comment 11 errata-xmlrpc 2013-04-11 13:49:19 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2013:0737 https://rhn.redhat.com/errata/RHSA-2013-0737.html

Note You need to log in before you can comment on or make changes to this bug.